Package net.shibboleth.idp.plugin.authn.webauthn.storage.impl

# Class ReadAllCacheLoadingStrategy

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.storage.impl.ReadAllCacheLoadingStrategy

All Implemented Interfaces:
  `Function<String,List<StorageRecord<Set<CredentialRecord>>>>`

public class ReadAllCacheLoadingStrategy extends Object implements Function<String,List<StorageRecord<Set<CredentialRecord>>>>
A cache loading strategy that loads all known credentials from the datasource.

Since:
  1.3.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.
`private final WebAuthnJDBCReadAllAccelerator`
`queryAccelerator`
The query accelerator used to lookup credentials.

## Constructor Summary

Constructors
Constructor
Description
`ReadAllCacheLoadingStrategy(WebAuthnJDBCReadAllAccelerator accelerator)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<StorageRecord<Set<CredentialRecord>>>`
`apply(String storageContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### queryAccelerator

@Nonnull private final WebAuthnJDBCReadAllAccelerator queryAccelerator
The query accelerator used to lookup credentials.

## Constructor Details

### ReadAllCacheLoadingStrategy

public ReadAllCacheLoadingStrategy(@Nonnull WebAuthnJDBCReadAllAccelerator accelerator)
Constructor.

Parameters:
  `accelerator` - the JDBC accelerator to use.

## Method Details

### apply

public List<StorageRecord<Set<CredentialRecord>>> apply(String storageContext)

Specified by:
  `apply` in interface `Function<String,List<StorageRecord<Set<CredentialRecord>>>>`